summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2015-09-23 12:22:47 +0200
committerAlexis Ballier <aballier@gentoo.org>2015-09-23 12:22:47 +0200
commita1a044a43562bc7b862e8f654aed76600e185e5a (patch)
treed20b2cb3e6976cea6e31371057b57d8c7df030c6 /dev-ros/rqt_plot
parentdev-ros/rqt_logger_level: Initial import. Ebuild by me. (diff)
downloadgentoo-a1a044a43562bc7b862e8f654aed76600e185e5a.tar.gz
gentoo-a1a044a43562bc7b862e8f654aed76600e185e5a.tar.bz2
gentoo-a1a044a43562bc7b862e8f654aed76600e185e5a.zip
dev-ros/rqt_plot: Initial import. Ebuild by me.
Package-Manager: portage-2.2.21
Diffstat (limited to 'dev-ros/rqt_plot')
-rw-r--r--dev-ros/rqt_plot/Manifest1
-rw-r--r--dev-ros/rqt_plot/metadata.xml5
-rw-r--r--dev-ros/rqt_plot/rqt_plot-0.3.12.ebuild30
-rw-r--r--dev-ros/rqt_plot/rqt_plot-9999.ebuild30
4 files changed, 66 insertions, 0 deletions
diff --git a/dev-ros/rqt_plot/Manifest b/dev-ros/rqt_plot/Manifest
new file mode 100644
index 00000000000..a503bd56f8f
--- /dev/null
+++ b/dev-ros/rqt_plot/Manifest
@@ -0,0 +1 @@
+DIST rqt_common_plugins-0.3.12.tar.gz 231733 SHA256 602ceea814b152865cd55c140565ec82d72277d9de75b869ce9fd3ac5a17b749 SHA512 567fb85324a85ef935379762026f7f3b5fbe491f61d947c273c1d138286acb919a2f458151b7137587bddbe028617934a75695a165fc7e7e6fd4b4cd87247b7d WHIRLPOOL d49809544f3de32129233c562f643afeed599b4f42688050aa433023188467243409ac048464eac05fc06f9a20c9d8992946dc68db0b01d7bcfde585a65fc42b
diff --git a/dev-ros/rqt_plot/metadata.xml b/dev-ros/rqt_plot/metadata.xml
new file mode 100644
index 00000000000..c42ea5b15cf
--- /dev/null
+++ b/dev-ros/rqt_plot/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>ros</herd>
+</pkgmetadata>
diff --git a/dev-ros/rqt_plot/rqt_plot-0.3.12.ebuild b/dev-ros/rqt_plot/rqt_plot-0.3.12.ebuild
new file mode 100644
index 00000000000..277ef2440bf
--- /dev/null
+++ b/dev-ros/rqt_plot/rqt_plot-0.3.12.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KEYWORDS="~amd64"
+ROS_REPO_URI="https://github.com/ros-visualization/rqt_common_plugins"
+PYTHON_COMPAT=( python2_7 )
+ROS_SUBDIR=${PN}
+
+inherit ros-catkin
+
+DESCRIPTION="GUI plugin visualizing numeric values in a 2D plot"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+ || ( dev-python/matplotlib[${PYTHON_USEDEP}] dev-python/pyqwt:5[${PYTHON_USEDEP}] )
+ dev-python/rospkg[${PYTHON_USEDEP}]
+ dev-ros/qt_gui_py_common[${PYTHON_USEDEP}]
+ dev-ros/rosgraph[${PYTHON_USEDEP}]
+ dev-ros/rostopic[${PYTHON_USEDEP}]
+ dev-ros/rqt_gui[${PYTHON_USEDEP}]
+ dev-ros/rqt_gui_py[${PYTHON_USEDEP}]
+ dev-ros/rqt_py_common[${PYTHON_USEDEP}]
+ dev-ros/roslib[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
diff --git a/dev-ros/rqt_plot/rqt_plot-9999.ebuild b/dev-ros/rqt_plot/rqt_plot-9999.ebuild
new file mode 100644
index 00000000000..277ef2440bf
--- /dev/null
+++ b/dev-ros/rqt_plot/rqt_plot-9999.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KEYWORDS="~amd64"
+ROS_REPO_URI="https://github.com/ros-visualization/rqt_common_plugins"
+PYTHON_COMPAT=( python2_7 )
+ROS_SUBDIR=${PN}
+
+inherit ros-catkin
+
+DESCRIPTION="GUI plugin visualizing numeric values in a 2D plot"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+ || ( dev-python/matplotlib[${PYTHON_USEDEP}] dev-python/pyqwt:5[${PYTHON_USEDEP}] )
+ dev-python/rospkg[${PYTHON_USEDEP}]
+ dev-ros/qt_gui_py_common[${PYTHON_USEDEP}]
+ dev-ros/rosgraph[${PYTHON_USEDEP}]
+ dev-ros/rostopic[${PYTHON_USEDEP}]
+ dev-ros/rqt_gui[${PYTHON_USEDEP}]
+ dev-ros/rqt_gui_py[${PYTHON_USEDEP}]
+ dev-ros/rqt_py_common[${PYTHON_USEDEP}]
+ dev-ros/roslib[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"